import { BasicEvent } from "@skeldjs/events";
import { EnterVentMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { PlayerEvent } from "./PlayerEvent";
/**
 * Emitted when a player goes into a vent.
 */
export declare class PlayerEnterVentEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, PlayerEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    readonly message: EnterVentMessage | undefined;
    /**
     * The ID of the vent that the player went into.
     */
    readonly ventId: number;
    static eventName: "player.entervent";
    eventName: "player.entervent";
    constructor(room: RoomType, player: PlayerData<RoomType>, message: EnterVentMessage | undefined, 
    /**
     * The ID of the vent that the player went into.
     */
    ventId: number);
}
//# sourceMappingURL=EnterVent.d.ts.map