import { BasicEvent } from "@skeldjs/events";
import { RoomEvent } from "../RoomEvent";
import { ProtocolEvent } from "../ProtocolEvent";
import { PlayerEvent } from "./PlayerEvent";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { SendChatMessage } from "@skeldjs/protocol";
/**
 * Emitted when a player sends a free chat message. See {@link PlayerSendQuickChatEvent}
 * to listen for quick chat messages.
 *
 * Due to technical impossibilities, this event cannot be canceled or reverted.
 */
export declare class PlayerSendChatEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, PlayerEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    readonly message: SendChatMessage | undefined;
    /**
     * The message that the player sent.
     */
    readonly chatMessage: string;
    static eventName: "player.chat";
    eventName: "player.chat";
    constructor(room: RoomType, player: PlayerData<RoomType>, message: SendChatMessage | undefined, 
    /**
     * The message that the player sent.
     */
    chatMessage: string);
}
//# sourceMappingURL=SendChat.d.ts.map