import { CancelableEvent } from "@skeldjs/events";
import { UsePlatformMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { PlayerEvent } from "./PlayerEvent";
/**
 * Emitted when a player uses a moving platform. Emitted before the player has
 * actually used it, see {@link MovingPlatformPlayerUpdateEvent} to listen for
 * when a player has actually used a moving platform and is moving.
 */
export declare class PlayerUseMovingPlatformEvent<RoomType extends Hostable = Hostable> extends CancelableEvent implements RoomEvent, PlayerEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    readonly message: UsePlatformMessage | undefined;
    static eventName: "player.usemovingplatform";
    eventName: "player.usemovingplatform";
    constructor(room: RoomType, player: PlayerData<RoomType>, message: UsePlatformMessage | undefined);
}
//# sourceMappingURL=UseMovingPlatform.d.ts.map